summaryrefslogtreecommitdiffstats
path: root/java/jboss2/pkg-deinstall
diff options
context:
space:
mode:
authorznerd <znerd@FreeBSD.org>2002-04-26 21:54:15 +0000
committerznerd <znerd@FreeBSD.org>2002-04-26 21:54:15 +0000
commit41551d97e40ccc725739a7ee3df3ce168b9b89c2 (patch)
tree2e138f2e94d4a43d78ec9f5b332966fac995dc03 /java/jboss2/pkg-deinstall
parent35632893b9a3a822b128e601d1e63e8298305e0f (diff)
downloadFreeBSD-ports-41551d97e40ccc725739a7ee3df3ce168b9b89c2.zip
FreeBSD-ports-41551d97e40ccc725739a7ee3df3ce168b9b89c2.tar.gz
New port jboss2.
The jboss2ctl program does not work at this stage. I chose to commit this port anyway because it has been lying around for too long. Once it is in the ports tree, the improved interest may trigger somebody else to fix the problem. JBoss can be started using the supplied shell script anyway, so it is still useful. This is not the JBoss port submitted by Jesse Gallup in PR 35853, but one based on the www/orion port. PR: 35853
Diffstat (limited to 'java/jboss2/pkg-deinstall')
-rw-r--r--java/jboss2/pkg-deinstall45
1 files changed, 45 insertions, 0 deletions
diff --git a/java/jboss2/pkg-deinstall b/java/jboss2/pkg-deinstall
new file mode 100644
index 0000000..4be88cc
--- /dev/null
+++ b/java/jboss2/pkg-deinstall
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# This script does the following.
+#
+# * Checks if the JBoss PID file exists. If it does, it kills the
+# JBoss process and removes the PID file.
+#
+# * Checks if the 'www' user exists. If it does, then it displays
+# a message.
+#
+# $FreeBSD: /tmp/pcvs/ports/java/jboss2/pkg-deinstall,v 1.1 2002-04-26 21:54:15 znerd Exp $
+#
+
+# Make sure we're in the right stage of the process
+if [ "$2" = "DEINSTALL" ]; then
+
+ # Kill JBoss if it is still running
+ PID_FILE=/var/run/jboss.pid
+ if [ -s ${PID_FILE} ]; then
+ PID=`cat ${PID_FILE}`
+ echo -n ">> Killing JBoss Server process (${PID})..."
+ /bin/kill ${PID} > /dev/null 2> /dev/null
+ if [ $? -eq 0 ]; then
+ echo " [ DONE ]"
+ else
+ echo " [ FAILED ]"
+ fi
+ echo -n ">> Removing PID file (${PID_FILE})..."
+ rm ${PID_FILE} > /dev/null 2> /dev/null
+ if [ $? -eq 0 ]; then
+ echo " [ DONE ]"
+ else
+ echo " [ FAILED ]"
+ fi
+ fi
+fi
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+ # If the user exists, then display a message
+ if pw usershow "www" 2>/dev/null 1>&2; then
+ echo "To delete the www user permanently, use 'pw userdel www'"
+ fi
+fi
+
+exit 0
OpenPOWER on IntegriCloud